<nz-card [nzTitle]="cardTitle" [nzExtra]="cardExtra">
  <ng-template #cardTitle>
    {{"Miscellaneous.Homepage.PlayerNews" | translate }}
  </ng-template>
  <ng-template #cardExtra>
    <a target="_blank" href="{{hostUrl}}/article/all">
      {{"General.Common.ViewAll" | translate }}
    </a>
  </ng-template>
  <div class="listitem-container">
    <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
      <div class="playerNewsBox">
        <div class="playerNews-tabs">
          <nz-tabset nzSize="small" [(nzSelectedIndex)]="currentTab" (nzSelectedIndexChange)="changeTab()">
            <nz-tab [nzTitle]="titleTemplate2">
              <ng-template #titleTemplate2>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/news_top.png" />
                {{"Miscellaneous.Homepage.Top" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab [nzTitle]="titleTemplate">
              <ng-template #titleTemplate>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/news_latest.png" />
                {{"Social.Article.Latest" | translate }}
              </ng-template>
            </nz-tab>
            <nz-tab [nzTitle]="titleTemplate3">
              <ng-template #titleTemplate3>
                <img class="image-tab" height="28" src="{{hostUrl}}/assets/img/misc/news_international.png" />
                {{"Miscellaneous.Homepage.International" | translate }}
              </ng-template>
            </nz-tab>
          </nz-tabset>
          <div class="tab-content">
            <div *ngIf="list.length === 0" class="padded" style="text-align: left; display: block; overflow: hidden;">
              <nz-alert nzType="info" nzMessage="There are no articles." nzShowIcon></nz-alert>
            </div>
            <ng-container *ngIf="list.length > 0">
              <div *ngFor="let item of list; let i = index" nz-row nzType="flex" nzAlign="middle"
                ngClass="playerNews listitem item-{{i}}">
                <div nz-col class="newspaperImage">
                  <img src="{{hostUrl}}/{{item.newspaper.avatarLocation}}" />
                </div>
                <div nz-col class="newspaperInfo">
                  <div class="title">
                    <a href="{{hostUrl}}/article/{{item.id}}" target="_blank" class="event-line">
                      {{item.title}}
                    </a>
                  </div>
                  <div class="publishing">
                    <div class="author">
                      <img src="{{hostUrl}}/assets/img/ico/ent_header/author.png" />
                      <a class="publisher" href="{{hostUrl}}/newspaper/{{item.newspaper.entityId}}" target="_blank">
                        {{item.newspaper.name}}
                      </a>
                    </div>
                    <span class="point item-0">•</span>
                    <div class="time">
                      <img src="{{hostUrl}}/assets/img/ico/ent_header/time.png">
                      <span class="tooltip" nz-tooltip nzTooltipTitle="{{item.createdOn.replace('T', ' ')}}"
                        nzTooltipPlacement="top">
                        {{item.createdTimeAgo}}
                        ago
                      </span>
                    </div>
                    <span class="point item-1">•</span>
                    <div class="votes">
                      <img src="{{hostUrl}}/assets/img/ico/ent_header/votes.png" />
                      {{item.votesCount}} votes
                    </div>
                  </div>
                </div>
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    </nz-spin>
    <div class="vAll">
      <a href="{{hostUrl}}/article/all" target="_blank">
        {{"General.Common.ViewAll" | translate }}
      </a>
    </div>
  </div>
</nz-card>

<!-- ADMIN NEWS -->
<nz-card [nzTitle]="cardTitle" *ngIf="adminInsider != undefined">
  <ng-template #cardTitle>
    Admin News
    <!-- {{"Miscellaneous.Homepage.AdminNews" | translate }} -->
  </ng-template>
  <div class="playerNewsBox-holder">
    <div class="playerNewsBox">
      <div class="tab-content">
        <div nz-row nzType="flex" nzAlign="middle" ngClass="listitem playerNews adminNews">
          <div nz-col class="newspaperImage">
            <img src="{{hostUrl}}/{{adminInsider.newspaper.avatarLocation}}" />
          </div>
          <div nz-col class="newspaperInfo">
            <div class="title">
              <a href="{{hostUrl}}/article/{{adminInsider.id}}" target="_blank" class="event-line">
                {{adminInsider.title}}
              </a>
            </div>
            <div class="publishing">
              <div class="author">
                <img src="{{hostUrl}}/assets/img/ico/ent_header/author.png" />
                <a class="publisher" href="{{hostUrl}}/newspaper/{{adminInsider.newspaper.entityId}}" target="_blank">
                  {{adminInsider.newspaper.name}}
                </a>
              </div>
              <span class="point item-0">•</span>
              <div class="time">
                <img src="{{hostUrl}}/assets/img/ico/ent_header/time.png">
                <span class="tooltip" nz-tooltip nzTooltipTitle="{{adminInsider.createdOn.replace('T', ' ')}}"
                  nzTooltipPlacement="top">
                  {{adminInsider.createdTimeAgo}}
                  ago
                </span>
              </div>
              <span class="point item-1">•</span>
              <div class="votes">
                <img src="{{hostUrl}}/assets/img/ico/ent_header/votes.png" />
                {{adminInsider.votesCount}} votes
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</nz-card>